AppendIterator::__construct
AppendIterator::getArrayIterator
AppendIterator
PHP Manual

# AppendIterator::current

Gets the current value

### Description

public mixed AppendIterator::current ( void )

Gets the current value.

### Parameters

This function has no parameters.

### Return Values

The current value if it is valid or `NULL` otherwise.

### See Also

- Iterator::current
- AppendIterator::key
- AppendIterator::valid
- AppendIterator::next
- AppendIterator::rewind